Subject: Re: [PATCH 1/2] mpls: add handlers

From: David Lamparter <[email-masked]>
Date: Fri, 11 Aug 2017 14:34:05 +0200

On Thu, Aug 10, 2017 at 10:28:36PM +0200, Amine Kherbouche wrote:
> Mpls handler allows creation/deletion of mpls routes without using
> rtnetlink. When an incoming mpls packet matches this route, the saved
> function handler is called.

Since I originally authored this patch, I have come to believe that it
might be unneccessarily complicated.  It is unlikely that a lot of
different "handlers" will exist here;  the only things I can think of
are VPLS support and BIER-MPLS multicast replication.  I'm not saying
it's a bad idea, but, well, this was in the README that I gave to 6WIND
with this code:

...
MPLS layer:
- the "MPT_HANDLER" thing is probably overkill, it likely makes more sense to
  tie in the VPLS code more directly.
...

-David